## com.bbn.openmap.dataAccess.shape.input
Class DbfInputStream

    java.lang.Object
      com.bbn.openmap.dataAccess.shape.input.DbfInputStream

public class DbfInputStream
extends java.lang.Object

Reads the contents of a DBF file and provides access to what it has read through several get methods

Author:
  Doug Van Auken

Field Summary
`static java.lang.Double` `ZERO`

Constructor Summary
`DbfInputStream(java.io.InputStream is)` Creates a LittleEndianInputStream then uses it to read the contents of the DBF file

Method Summary
`int` `getColumnCount()` Returns the number of columns
`java.lang.String[]` `getColumnNames()` Returns an array of column names
`byte[]` `getDecimalCounts()` Returns an array of decimal counts
`int[]` `getLengths()` Returns an array of character lengths
`java.util.ArrayList` `getRecords()` Returns an ArrayList of records
`int` `getRowCount()` Returns the number of rows
`byte[]` `getTypes()` Returns an array of field types
`void` `readData()` Reads the data and places data in a class scope ArrayList of records

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ZERO

    public static final java.lang.Double ZERO

Constructor Detail

### DbfInputStream

    public DbfInputStream(java.io.InputStream is)
                   throws java.lang.Exception

  Creates a LittleEndianInputStream then uses it to read the contents of the DBF file

Parameters:
  `is` - An inputstream used to create a LittleEndianInputStream

Method Detail

### getColumnNames

    public java.lang.String[] getColumnNames()

  Returns an array of column names

  Returns:
    An array of column names

### getLengths

    public int[] getLengths()

  Returns an array of character lengths

  Returns:
    An array of character lengths

### getDecimalCounts

    public byte[] getDecimalCounts()

  Returns an array of decimal counts

  Returns:
    An array of decimal counts

### getTypes

    public byte[] getTypes()

  Returns an array of field types

  Returns:
    An array of field types

### getRecords

    public java.util.ArrayList getRecords()

  Returns an ArrayList of records

  Returns:
    An ArrayList of recrods

### getColumnCount

    public int getColumnCount()

  Returns the number of columns

  Returns:
    The nunber of columns

### getRowCount

    public int getRowCount()

  Returns the number of rows

  Returns:
    The number of rows

### readData

    public void readData()
                  throws java.io.IOException

  Reads the data and places data in a class scope ArrayList of records

  Throws:
    `java.io.IOException`

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details